# TODO: astrometry.net
%define		_state		stable
%define		orgname		kstars

Summary:	K Desktop Environment - Desktop planetarium
Summary(pl.UTF-8):	K Desktop Environment - Planetarium
Name:		kde4-kstars
Version:	4.14.3
Release:	5
License:	GPL v2+
Group:		X11/Applications/Science
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	13cb96789e3be237239e04c027b45c0b
URL:		http://www.kde.org/
BuildRequires:	OpenGL-devel
BuildRequires:	automoc4
BuildRequires:	cfitsio-devel >= 3.09
BuildRequires:	eigen3 >= 3
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libindi-devel >= 0.9.8
# for tests only
#BuildRequires:	qjson-devel
BuildRequires:	qt4-build >= 4
BuildRequires:	wcslib-devel
BuildRequires:	xplanet
# solve-field program (to achieve sub-arcsecond GOTO tracking and determine polar alignment errors in the mount)
#Suggests	astrometrynet
# for updating supernovae data
Suggests:	python-PyKDE4
Suggests:	xplanet
Obsoletes:	kde4-kdeedu-kstars < 4.6.99
Obsoletes:	kstarts <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KStars lets you explore the night sky from the comfort of your
computer chair. It provides an accurate graphical representation of
the night sky for any date, from any location on Earth. The display
includes 126,000 stars to 9th magnitude (well below the naked-eye
limit), 13,000 deep-sky objects (Messier, NGC and IC catalogs), all
planets, the Sun and Moon, hundreds of comets and asteroids, the Milky
Way, 88 constellations, and guide lines such as the celestial equator,
the horizon and the ecliptic.

%description -l pl.UTF-8
KStars pozwala przeglądać nocne niebo z wygodą krzesła przy
komputerze. Dostarcza dokładną graficzną reprezentację nocnego nieba
dla dowolnej daty, z dowolnego miejsca na Ziemi. Obraz zawiera 126000
gwiazd do 9. wielkości (znacznie poza zasięgiem nieuzbrojonego oka),
13000 obiektów (katalogi Messiera, NGC i IC), wszystkie planety,
Słońce i Księżyc, setki komet i asteroid, Drogę Mleczną, 88
konstelacji oraz linie prowadzące takie jak równik astronomiczny,
horyzont i ekliptykę.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

# no headers installed
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libhtmesh.a

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README* TODO
%attr(755,root,root) %{_bindir}/kstars
%{_desktopdir}/kde4/kstars.desktop
%{_datadir}/config.kcfg/kstars.kcfg
%{_datadir}/config/kstars.knsrc
%{_datadir}/appdata/kstars.appdata.xml
%{_datadir}/apps/kstars
%{_iconsdir}/hicolor/*x*/apps/kstars.png
%{_iconsdir}/hicolor/scalable/apps/kstars.svgz
%changelog
* Tue Dec 25 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kstars.git;a=log;h=master

* Tue Dec 25 2018 Jakub Bogusz <qboosh@pld-linux.org> 5f0c2a2
- BR: wcslib-devel, Suggests: python-PyKDE4 xplanet
- release 5 (cfitsio soname change)

* Mon Sep 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 7f58ca6
- release 4 (cfitsio rebuild)

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> b0ef2e0
- release 3 (cfitsio,libnova/libindi rebuild)
- some feature todo notes

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> fe6e541
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 21287cf
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 83db710
- updated to 4.14.0
- appdata file packaged

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7497417
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0d3cb8c
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f90e2ba
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ccfc33c
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 461afda
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8df4a35
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ddcc352
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 8ebdd95
- up to 4.12.0; optional libraries wcslib and astrometry.net are not available in PLD repo

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> c2aa7f6
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> bb3afe7
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> e1cb3e0
- updated to 4.9.4

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 6b3ed62
- fix invalid pl locale

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 9cb6042
- updated to 4.9.1.

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> 905bc8f
- updated to 4.9.0, added missing BRs.

